// Copyright 2006 Herre Kuijpers - <herre@xs4all.nl>
//
// This source file(s) may be redistributed, altered and custimized
// by any means PROVIDING the authors name and all copyright
// notices remain intact.
// THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
// EXPRESS OR IMPLIED. USE IT AT YOUR OWN RISK. THE AUTHOR ACCEPTS NO
// LIABILITY FOR ANY DATA DAMAGE/LOSS THAT THIS PRODUCT MAY CAUSE.
//-----------------------------------------------------------------------
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using OutlookStyleControls;

namespace OutlookBarApp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ShowPanes("show initial options here", "show homepage here");
        }

        private void ShowPanes(string label1Text, string label2Text)
        {
            label1.Text = label1Text;
            label2.Text = label2Text;
        }

        private void outlookBar1_Click(object sender, OutlookStyleControls.OutlookBar.ButtonClickEventArgs e)
        {
            int idx = outlookBar1.Buttons.IndexOf(e.SelectedButton);
            switch (idx)
            {
                case 0: // contacts
                    ShowPanes("show contacts options here", "show sheet with contacts here");
                    break;
                case 1: // mail
                    ShowPanes("show mail folders here", "show list of mails here");
                    break;
                case 2: // calendar
                    ShowPanes("show calendar control here", "show agenda here");
                    break;
                case 3: // tasks
                    ShowPanes("show task options here", "show list of tasks here");
                    break;
                default: // notes
                    ShowPanes("show notes options here", "show post-it format notes here");
                    break;
            }   


        }

        private void menuOlive_Click(object sender, EventArgs e)
        {
            outlookBar1.GradientButtonNormalDark = Color.FromArgb(178, 193, 140);
            outlookBar1.GradientButtonNormalLight = Color.FromArgb(234, 240, 207);
            outlookBar1.Invalidate();
        }

        private void menuBlue_Click(object sender, EventArgs e)
        {
            outlookBar1.GradientButtonNormalDark = Color.FromArgb(126, 166, 225);
            outlookBar1.GradientButtonNormalLight = Color.FromArgb(203, 225, 252);
            outlookBar1.Invalidate();

        }

        private void menuSilver_Click(object sender, EventArgs e)
        {
            outlookBar1.GradientButtonNormalDark = Color.FromArgb(150, 148, 178);
            outlookBar1.GradientButtonNormalLight = Color.FromArgb(225, 226, 236);
            outlookBar1.Invalidate();

        }

    }
}